Download it now!
Bug 90474 - Export to MediaWiki missing images linked to empty paragraphs
Summary: Export to MediaWiki missing images linked to empty paragraphs
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0 target:4.4.4 target:4.3.8
Keywords:
Depends on:
Blocks: MediaWiki
  Show dependency treegraph
 
Reported: 2015-04-06 08:58 UTC by Patrick L.
Modified: 2017-06-12 02:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick L. 2015-04-06 08:58:46 UTC
Create Writer file with images as links to (PNG) files (ready for upload to MediWiki site).

When images are anchored to empty paragraph they do not appear in MediaWiki export file.

Workaround: put at least one space in paragraph.
Comment 1 Julien Nabet 2015-04-06 19:19:16 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Robert Antoni Buj i Gelonch 2015-04-27 12:20:48 UTC
I've sent to gerrit a patch to fix this issue.

Master branch:
https://gerrit.libreoffice.org/#/c/15449/

libreoffice-4-4 branch:
https://gerrit.libreoffice.org/#/c/15496/

libreoffice-4-3 branch:
https://gerrit.libreoffice.org/#/c/15497/
Comment 3 Commit Notification 2015-04-27 14:08:57 UTC
Robert Antoni Buj Gelonch committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b32953d19825605ed5d919f515c355a11b9c1e87

tdf#75360 tdf#90474 line breaks in exporting to mediawiki

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-04-27 14:10:14 UTC
Robert Antoni Buj Gelonch committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=363afdf0e937afb179af3819276c6023c48f2b49&h=libreoffice-4-4

tdf#75360 tdf#90474 line breaks in exporting to mediawiki

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-04-30 12:21:52 UTC
Robert Antoni Buj Gelonch committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c054bb47127559513a40b0df4a5e3f6d8dcc1d7&h=libreoffice-4-3

tdf#75360 tdf#90474 line breaks in exporting to mediawiki

It will be available in 4.3.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.